## org.biojava.bio.seq.db
Class GenpeptSequenceDB

    java.lang.Object
      org.biojava.bio.seq.db.GenpeptSequenceDB

    public class GenpeptSequenceDB

extends Object

Author:
  Lei Lai, Matthew Pocock, Shuvankar Mukherjee

Constructor Summary
`GenpeptSequenceDB()`

Method Summary
`boolean` `checkException()`
`boolean` `checkIOException()`
`protected URL` `getAddress(String id)`
`protected URL` `getAddress(String id, String format)`
`protected Alphabet` `getAlphabet()`
`String` `getName()`
`Sequence` `getSequence(String id)`
`protected SequenceFormat` `getSequenceFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenpeptSequenceDB

    public GenpeptSequenceDB()

Method Detail

### getSequenceFormat

    protected SequenceFormat getSequenceFormat()

### getAlphabet

    protected Alphabet getAlphabet()

### getAddress

    protected URL getAddress(String id)
                      throws MalformedURLException

  Throws:
    `MalformedURLException`

### getAddress

    protected URL getAddress(String id,
                             String format)
                      throws MalformedURLException

  Throws:
    `MalformedURLException`

### getName

    public String getName()

### getSequence

    public Sequence getSequence(String id)
                         throws BioException

  Throws:
    `BioException`

### checkIOException

    public boolean checkIOException()

### checkException

    public boolean checkException()